CommonsHTTPClientProperties (Axis API)
Keywords: org.apache.axis.components.net.CommonsHTTPClientProperties interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.net
Interface CommonsHTTPClientProperties

All Known Implementing Classes:
  DefaultCommonsHTTPClientProperties

public interface CommonsHTTPClientProperties

Interface implemented by classes seeking to configure the properties of the multi threaded connection pool used in the CommonsHTTPSender transport implementation.

Author:
  Eric Friedman

Method Summary
`int` | `getConnectionPoolTimeout()` Used to set the amount of time, in milliseconds, spent waiting for an available connection from the pool.
`int` | `getDefaultConnectionTimeout()` Used to set the default amount of time, in milliseconds, spent waiting for a connection.
`int` | `getDefaultSoTimeout()` Used to set the default amount of time, in milliseconds, spent waiting for a reponse.
`int` | `getMaximumConnectionsPerHost()` Used to set the maximum number of connections that will be pooled for a given host.
`int` | `getMaximumTotalConnections()` Used to set the maximum number of connections that the pool can open for all hosts.

Method Detail

### getMaximumTotalConnections

    public int getMaximumTotalConnections()

  Used to set the maximum number of connections that the pool can open for all hosts. Since connections imply sockets and sockets imply file descriptors, the setting you use must not exceed any limits your system imposes on the number of open file descriptors a single process may have.

  Returns:
    an integer > 1

### getMaximumConnectionsPerHost

    public int getMaximumConnectionsPerHost()

  Used to set the maximum number of connections that will be pooled for a given host. This setting is also constrained by the one returned from getMaximumTotalConnections.

  Returns:
    an integer > 1

### getConnectionPoolTimeout

    public int getConnectionPoolTimeout()

  Used to set the amount of time, in milliseconds, spent waiting for an available connection from the pool. An exception is raised if the timeout is triggered.

  Returns:
    an integer > 1 OR 0 for infinite timeout

### getDefaultConnectionTimeout

    public int getDefaultConnectionTimeout()

  Used to set the default amount of time, in milliseconds, spent waiting for a connection. This can be overridden by the MessageContext

  Returns:
    an integer >= 0

### getDefaultSoTimeout

    public int getDefaultSoTimeout()

  Used to set the default amount of time, in milliseconds, spent waiting for a reponse. This can be overridden by the MessageContext

  Returns:
    an integer >= 0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.